Subject: Re: [PATCH (WIP)] git-svn: cache SVN::Ra functions in a more Perl GC-friendly way

From: Eric Wong <[email-masked]>
Date: Tue, 24 Apr 2007 23:40:53 -0700

Steven Grimm <[email-masked]> wrote:
> FYI, with this patch, it actually dies more often. The stack seems to be 
> corrupted so I can't give you a useful stack trace, but here's what gdb 
> says:

Yikes.

Thanks for the feedback.  Sorry, I've still been busy with another big
project and haven't been able to track down this nasty bug.

If somebody wants to take a stab at working around it: hack up a patch
that forks a new child (reusing the main connection) for every revision
it needs to fetch.  It should still be as fast as normal on *nix
machines because fork() is fast and it won't have to renegotiate the
connection in every child, but memory leaks and corruption won't have a
chance to accumulate.

-- 
Eric Wong